#include <bits/stdc++.h>
#define ll long long
using namespace std;

int main()
{
    ios_base::sync_with_stdio(false),cin.tie(0),cout.tie(0);
    ll N,L;
    cin>>N>>L;
    vector<ll> a(N);
    for(int i=0; i<N; i++){
        cin>>a[i];
    }
    for(int i=0; i<N; i++){
        if(a[i] <= L){
           cout<< i + 1 <<endl;
           return 0;
        }
    }
    cout << -1 <<endl;
    return 0;
}